Commit 2b1a6d51 authored by Bilal Elmoussaoui's avatar Bilal Elmoussaoui Committed by Arnaud B

Switch to meson buildsystem

parent 49b2c2ed
_build/
\ No newline at end of file
SUBDIRS = data help po src
MAINTAINERCLEANFILES = \
$(GITIGNORE_MAINTAINERCLEANFILES_TOPLEVEL) \
$(GITIGNORE_MAINTAINERCLEANFILES_MAKEFILE_IN)
EXTRA_DIST = COPYING.sounds COPYING.themes
# We currently have no custom macros
GITIGNOREFILES = m4
-include $(top_srcdir)/git.mk
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
test -n "$srcdir" || srcdir=`dirname "$0"`
test -n "$srcdir" || srcdir=.
olddir=`pwd`
cd $srcdir
(test -f configure.ac) || {
echo "*** ERROR: Directory "\`$srcdir\'" does not look like the top-level project directory ***"
exit 1
}
# Use the style-checker as pre-commit and pre-applypatch hooks
if [ -d $srcdir/.git ]; then
for HOOK in pre-commit pre-applypatch; do
if [ ! -L $srcdir/.git/hooks/$HOOK ]; then
ln -s ../../../libgnome-games-support/style-checker \
$srcdir/.git/hooks/$HOOK && echo "Enabled $HOOK style checker."
fi
done
fi
PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac`
if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
echo "*** If you wish to pass any to it, please specify them on the" >&2
echo "*** \`$0\' command line." >&2
echo "" >&2
fi
aclocal --install || exit 1
intltoolize --force --copy --automake || exit 1
autoreconf --verbose --force --install -Wno-portability || exit 1
cd $olddir
if [ "$NOCONFIGURE" = "" ]; then
$srcdir/configure "$@" || exit 1
if [ "$1" = "--help" ]; then exit 0 else
echo "Now type \`make\' to compile $PKG_NAME" || exit 1
fi
else
echo "Skipping configure process."
fi
#!/usr/bin/env python3
from os import environ, path
from subprocess import call
if not environ.get('DESTDIR', ''):
PREFIX = environ.get('MESON_INSTALL_PREFIX', '/usr/local')
DATA_DIR = path.join(PREFIX, 'share')
print('Updating icon cache...')
call(['gtk-update-icon-cache', '-qtf', path.join(DATA_DIR, 'icons/hicolor')])
print("Compiling new schemas")
call(["glib-compile-schemas", path.join(DATA_DIR, 'glib-2.0/schemas')])
print("Updating desktop database")
call(["update-desktop-database", path.join(DATA_DIR, 'applications')])
{ {
"app-id": "org.gnome.taquin", "app-id": "org.gnome.Taquin",
"runtime": "org.gnome.Platform", "runtime": "org.gnome.Platform",
"runtime-version": "master", "runtime-version": "master",
"sdk": "org.gnome.Sdk", "sdk": "org.gnome.Sdk",
"command": "gnome-taquin", "command": "gnome-taquin",
"tags": ["nightly"], "tags": ["nightly"],
"copy-icon": true,
"rename-icon": "gnome-taquin",
"desktop-file-name-prefix": "(Nightly) ", "desktop-file-name-prefix": "(Nightly) ",
"finish-args": [ "finish-args": [
/* X11 + XShm access */ /* X11 + XShm access */
...@@ -19,13 +17,11 @@ ...@@ -19,13 +17,11 @@
"--filesystem=xdg-run/dconf", "--filesystem=~/.config/dconf:ro", "--filesystem=xdg-run/dconf", "--filesystem=~/.config/dconf:ro",
"--talk-name=ca.desrt.dconf", "--env=DCONF_USER_CONFIG_DIR=.config/dconf" "--talk-name=ca.desrt.dconf", "--env=DCONF_USER_CONFIG_DIR=.config/dconf"
], ],
"build-options": {
"cflags": "-O2 -g"
},
"cleanup": ["/share/man"], "cleanup": ["/share/man"],
"modules": [ "modules": [
{ {
"name": "gnome-taquin", "name": "gnome-taquin",
"buildsystem": "meson",
"sources": [ "sources": [
{ {
"type": "git", "type": "git",
......
AC_PREREQ([2.63])
AC_INIT([GNOME Taquin], [3.31.4],
[https://gitlab.gnome.org/GNOME/gnome-taquin/issues],
[gnome-taquin], [https://wiki.gnome.org/Apps/Taquin])
AC_CONFIG_MACRO_DIR([m4])
AM_INIT_AUTOMAKE([1.11 no-dist-gzip dist-xz foreign])
AM_SILENT_RULES([yes])
AM_MAINTAINER_MODE
AM_PROG_VALAC([0.27.1])
AM_PROG_CC_C_O
GLIB_GSETTINGS
APPSTREAM_XML
dnl ###########################################################################
dnl Dependencies
dnl ###########################################################################
GLIB_REQUIRED=2.40.0
GTK_REQUIRED=3.15.0
RSVG_REQUIRED=2.32.0
CANBERRA_GTK_REQUIRED=0.26
PKG_CHECK_MODULES(GNOME_TAQUIN, [
glib-2.0 >= $GLIB_REQUIRED
gtk+-3.0 >= $GTK_REQUIRED
librsvg-2.0 >= $RSVG_REQUIRED
libcanberra-gtk3 >= $CANBERRA_GTK_REQUIRED
])
AC_SUBST([GLIB_REQUIRED])
AC_PATH_PROG([DESKTOP_FILE_VALIDATE], [desktop-file-validate], [/bin/true])
dnl ###########################################################################
dnl GResources
dnl ###########################################################################
AC_PATH_PROG([GLIB_COMPILE_RESOURCES],[glib-compile-resources])
dnl ###########################################################################
dnl Internationalization
dnl ###########################################################################
IT_PROG_INTLTOOL([0.50])
AC_SUBST(GETTEXT_PACKAGE, gnome-taquin)
dnl ###########################################################################
dnl Documentation
dnl ###########################################################################
YELP_HELP_INIT
dnl ###########################################################################
dnl Files to generate
dnl ###########################################################################
AC_CONFIG_FILES([
Makefile
po/Makefile.in
data/Makefile
data/icons/Makefile
data/icons/hicolor/Makefile
data/themes/Makefile
help/Makefile
src/Makefile
])
AC_OUTPUT
SUBDIRS = \
icons \
themes
dist_noinst_DATA = \
taquin-screens.ui \
taquin.ui \
taquin.css \
schema-15.png \
schema-16.png
soundsdir = $(datadir)/gnome-taquin/sounds
sounds_DATA = \
sliding-1.ogg \
sliding-n.ogg \
gameover.ogg
desktopdir = $(datadir)/applications
desktop_in_files = org.gnome.taquin.desktop.in
desktop_DATA = $(desktop_in_files:.desktop.in=.desktop)
@INTLTOOL_DESKTOP_RULE@
dbusservicedir = $(datadir)/dbus-1/services
dbusservice_DATA = org.gnome.taquin.service
org.gnome.taquin.service: Makefile
$(AM_V_GEN) (echo '[D-BUS Service]'; \
echo 'Name=org.gnome.taquin'; \
echo 'Exec=${bindir}/gnome-taquin --gapplication-service') > $@.tmp && \
mv $@.tmp $@
appstream_in_files = org.gnome.taquin.appdata.xml.in
appstream_XML = $(appstream_in_files:.xml.in=.xml)
@APPSTREAM_XML_RULES@
@INTLTOOL_XML_RULE@
gsettings_SCHEMAS = org.gnome.taquin.gschema.xml
@GSETTINGS_RULES@
man_MANS = gnome-taquin.6
EXTRA_DIST = \
$(appstream_in_files) \
$(desktop_in_files) \
$(sounds_DATA) \
$(gsettings_SCHEMAS) \
$(man_MANS)
CLEANFILES = \
$(appstream_XML) \
$(dbusservice_DATA) \
$(desktop_DATA)
check-local: $(desktop_DATA)
$(DESKTOP_FILE_VALIDATE) $(desktop_DATA)
DISTCHECK_CONFIGURE_FLAGS = --enable-appdata-check
-include $(top_srcdir)/git.mk
SUBDIRS = hicolor
-include $(top_srcdir)/git.mk
icon16dir=$(datadir)/icons/hicolor/16x16/apps
icon22dir=$(datadir)/icons/hicolor/22x22/apps
icon24dir=$(datadir)/icons/hicolor/24x24/apps
icon32dir=$(datadir)/icons/hicolor/32x32/apps
icon48dir=$(datadir)/icons/hicolor/48x48/apps
icon256dir=$(datadir)/icons/hicolor/256x256/apps
iconscalabledir=$(datadir)/icons/hicolor/scalable/apps
icon16_DATA = 16x16/gnome-taquin.png
icon22_DATA = 22x22/gnome-taquin.png
icon24_DATA = 24x24/gnome-taquin.png
icon32_DATA = 32x32/gnome-taquin.png
icon48_DATA = 48x48/gnome-taquin.png
icon256_DATA = 256x256/gnome-taquin.png
iconscalable_DATA = scalable/gnome-taquin-symbolic.svg
EXTRA_DIST = $(icon16_DATA) $(icon22_DATA) $(icon24_DATA) $(icon32_DATA) $(icon48_DATA) $(icon256_DATA) $(iconscalable_DATA)
-include $(top_srcdir)/git.mk
icons_sizes = ['16x16', '22x22', '24x24', '32x32', '48x48', '256x256']
iconsdir = join_paths(get_option('prefix'), get_option('datadir'), 'icons', 'hicolor')
foreach size: icons_sizes
install_data(
join_paths('hicolor', size, '@0@.png'.format(project_id)),
install_dir: join_paths(iconsdir, size, 'apps')
)
endforeach
install_data(
join_paths('hicolor', 'symbolic', '@0@-symbolic.svg'.format(project_id)),
install_dir: join_paths(iconsdir, 'symbolic', 'apps')
)
\ No newline at end of file
install_data(
[
'gameover.ogg',
'sliding-1.ogg',
'sliding-n.ogg'
],
install_dir: soundsdir
)
# Desktop file
desktop_file = i18n.merge_file(
input: '@0@.desktop.in'.format(project_id),
output: '@0@.desktop'.format(project_id),
po_dir: join_paths(meson.source_root(), 'po'),
type: 'desktop',
install: true,
install_dir: join_paths(get_option('datadir'), 'applications')
)
# Validate desktop file
if desktop_file_validate.found()
test(
'validate-desktop',
desktop_file_validate,
args: [
desktop_file.full_path()
]
)
endif
# AppData file
appdata_file = i18n.merge_file(
input: '@0@.appdata.xml.in'.format(project_id),
output: '@0@.appdata.xml'.format(project_id),
po_dir: join_paths(meson.source_root(), 'po'),
install: true,
install_dir: join_paths(get_option('datadir'), 'metainfo')
)
# Validate AppData file
if appstream_util.found()
test(
'validate-appdata', appstream_util,
args: [
'validate-relax', '--nonet', appdata_file.full_path()
]
)
endif
install_data(
'@0@.gschema.xml'.format(project_id),
install_dir: join_paths(get_option('datadir'), 'glib-2.0', 'schemas')
)
install_man('@0@.6'.format(meson.project_name()))
subdir('icons')
subdir('themes')
\ No newline at end of file
<?xml version="1.0" encoding="UTF-8"?> <?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014-2016 Arnaud Bonatti and contributors --> <!-- Copyright 2014-2016 Arnaud Bonatti and contributors -->
<component type="desktop"> <component type="desktop-application">
<id>org.gnome.taquin.desktop</id> <id>org.gnome.Taquin</id>
<metadata_license>CC0-1.0</metadata_license> <metadata_license>CC0-1.0</metadata_license>
<project_license>GPL-3.0+</project_license> <project_license>GPL-3.0+</project_license>
<_name>GNOME Taquin</_name> <name>GNOME Taquin</name>
<_summary>Slide tiles to their correct places</_summary> <summary>Slide tiles to their correct places</summary>
<description> <description>
<_p> <p>
Taquin is a computer version of the 15-puzzle and other sliding puzzles. Taquin is a computer version of the 15-puzzle and other sliding puzzles.
</_p> </p>
<_p> <p>
The object of Taquin is to move tiles so that they reach their places, The object of Taquin is to move tiles so that they reach their places,
either indicated with numbers, or with parts of a great image. either indicated with numbers, or with parts of a great image.
</_p> </p>
</description> </description>
<screenshots> <screenshots>
<screenshot height="455" width="700" type="default"> <screenshot height="455" width="700" type="default">
<image>https://gitlab.gnome.org/GNOME/gnome-taquin/raw/master/data/appdata-screenshot.png</image> <image>https://gitlab.gnome.org/GNOME/gnome-taquin/raw/master/data/appdata-screenshot.png</image>
<_caption>A GNOME taquin game preview</_caption> <caption>A GNOME taquin game preview</caption>
</screenshot> </screenshot>
</screenshots> </screenshots>
<launchable type="desktop-id">org.gnome.Taquin.desktop</launchable>
<url type="homepage">https://wiki.gnome.org/Apps/Taquin</url> <url type="homepage">https://wiki.gnome.org/Apps/Taquin</url>
<url type="bugtracker">https://bugzilla.gnome.org/enter_bug.cgi?product=gnome-taquin</url> <url type="bugtracker">https://gitlab.gnome.org/GNOME/gnome-taquin/issues/</url>
<url type="donation">http://www.gnome.org/friends/</url> <url type="donation">http://www.gnome.org/friends/</url>
<url type="translate">https://wiki.gnome.org/TranslationProject</url> <url type="translate">https://wiki.gnome.org/TranslationProject</url>
<update_contact>arnaud.bonatti_at_gmail.com</update_contact> <update_contact>arnaud.bonatti_at_gmail.com</update_contact>
<project_group>GNOME</project_group> <project_group>GNOME</project_group>
<kudos> <kudos>
<kudo>AppMenu</kudo>
<kudo>HiDpiIcon</kudo> <kudo>HiDpiIcon</kudo>
<kudo>ModernToolkit</kudo> <kudo>ModernToolkit</kudo>
<kudo>UserDocs</kudo> <kudo>UserDocs</kudo>
</kudos> </kudos>
<translation type="gettext">gnome-taquin</translation> <translation type="gettext">gnome-taquin</translation>
<_developer_name>The GNOME Project</_developer_name> <developer_name>The GNOME Project</developer_name>
<content_rating type="oars-1.0"> <content_rating type="oars-1.0">
<content_attribute id="violence-cartoon">none</content_attribute> <content_attribute id="violence-cartoon">none</content_attribute>
<content_attribute id="violence-fantasy">none</content_attribute> <content_attribute id="violence-fantasy">none</content_attribute>
......
[Desktop Entry] [Desktop Entry]
# Translators: Do NOT translate or transliterate this text (this is an icon file name)! # Translators: Do NOT translate or transliterate this text (this is an icon file name)!
Icon=gnome-taquin Icon=org.gnome.Taquin
_Name=Taquin Name=Taquin
# Translators: a GenericName that gives the application goal, as defined in the desktop file spec # Translators: a GenericName that gives the application goal, as defined in the desktop file spec
_GenericName=15-puzzle GenericName=15-puzzle
# Translators: a Comment that gives the application function, as defined in the desktop file spec # Translators: a Comment that gives the application function, as defined in the desktop file spec
_Comment=Slide tiles to their correct places Comment=Slide tiles to their correct places
# Translators: some search Keywords to find this application, as defined in the desktop file spec. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon! # Translators: some search Keywords to find this application, as defined in the desktop file spec. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon!
_Keywords=puzzle; Keywords=puzzle;
Exec=gnome-taquin Exec=gnome-taquin
Terminal=false Terminal=false
Type=Application Type=Application
...@@ -17,10 +17,10 @@ Actions=Fifteen;Sixteen; ...@@ -17,10 +17,10 @@ Actions=Fifteen;Sixteen;
[Desktop Action Fifteen] [Desktop Action Fifteen]
# Translators: an action Name, as defined in the desktop file spec; name of the traditional Taquin game # Translators: an action Name, as defined in the desktop file spec; name of the traditional Taquin game
_Name=15-Puzzle Name=15-Puzzle
Exec=gnome-taquin --fifteen Exec=gnome-taquin --fifteen
[Desktop Action Sixteen] [Desktop Action Sixteen]
# Translators: an action Name, as defined in the desktop file spec; name of the alternative game # Translators: an action Name, as defined in the desktop file spec; name of the alternative game
_Name=16-Puzzle Name=16-Puzzle
Exec=gnome-taquin --sixteen Exec=gnome-taquin --sixteen
<schemalist> <schemalist>
<enum id="org.gnome.taquin.GameType"> <enum id="org.gnome.Taquin.GameType">
<value value="0" nick="fifteen"/> <value value="0" nick="fifteen"/>
<value value="1" nick="sixteen"/> <value value="1" nick="sixteen"/>
</enum> </enum>
<schema id="org.gnome.taquin" path="/org/gnome/taquin/" gettext-domain="gnome-taquin"> <schema id="org.gnome.Taquin" path="/org/gnome/taquin/" gettext-domain="gnome-taquin">
<key name="type" enum="org.gnome.taquin.GameType"> <key name="type" enum="org.gnome.Taquin.GameType">
<default>'fifteen'</default> <default>'fifteen'</default>
<!-- TODO add summary and description --> <!-- TODO add summary and description -->
</key> </key>
......
...@@ -20,11 +20,11 @@ ...@@ -20,11 +20,11 @@
GtkModelButton.radio-like-toggle#radio-fifteen, GtkModelButton.radio-like-toggle#radio-fifteen,
button.radio-like-toggle#radio-fifteen { button.radio-like-toggle#radio-fifteen {
background-image: url("resource://org/gnome/taquin/images/15-Puzzle.png"); background-image: url("resource://org/gnome/Taquin/images/15-Puzzle.png");
} }
GtkModelButton.radio-like-toggle#radio-sixteen, GtkModelButton.radio-like-toggle#radio-sixteen,
button.radio-like-toggle#radio-sixteen { button.radio-like-toggle#radio-sixteen {
background-image: url("resource://org/gnome/taquin/images/16-Puzzle.png"); background-image: url("resource://org/gnome/Taquin/images/16-Puzzle.png");
} }
GtkModelButton.radio-like-toggle, GtkModelButton.radio-like-toggle,
......
numbersdir=$(datadir)/gnome-taquin/themes/numbers
numbers_DATA = \
numbers/3-numbers.png \
numbers/4-numbers.png \
numbers/5-numbers.png
catsdir=$(datadir)/gnome-taquin/themes/cats
cats_DATA = \
cats/1-Cat_face_day.jpg \
cats/1-Jasmina.jpg \
cats/1-maine.jpg \
cats/1-march.jpg \
cats/1-Tortoiseshell.jpg
EXTRA_DIST = $(numbers_DATA) $(cats_DATA)
-include $(top_srcdir)/git.mk
install_data(
[
'cats/1-Cat_face_day.jpg',
'cats/1-Jasmina.jpg',
'cats/1-maine.jpg',
'cats/1-march.jpg',
'cats/1-Tortoiseshell.jpg'
],
install_dir: join_paths(pkgdatadir, 'themes', 'cats')
)
install_data(
[
'numbers/03-numbers.svg',
'numbers/04-numbers.svg',
'numbers/05-numbers.svg',
'numbers/3-numbers.png',
'numbers/4-numbers.png',
'numbers/5-numbers.png'
],
install_dir: join_paths(pkgdatadir, 'themes', 'numbers')
)
\ No newline at end of file
This diff is collapsed.
cs
de
el
es
fr
gl
hu
pl
pt_BR
sv
\ No newline at end of file
@YELP_HELP_RULES@
HELP_ID = gnome-taquin
HELP_MEDIA = \
figures/logo.png \
figures/logo32.png
HELP_FILES = \
15-Puzzle.page \
16-Puzzle.page \
beginning.page \
index.page \
legal.xml \
license.page \
shortcuts.page \
start-screen.page
HELP_LINGUAS = cs de el es fr gl hu pl pt_BR sv
-include $(top_srcdir)/git.mk
help_pages = [
'15-Puzzle.page',
'16-Puzzle.page',
'beginning.page',
'index.page',
'legal.xml',
'license.page',
'shortcuts.page',
'start-screen.page',
]
help_media = [
'figures/fifteen.png',
'figures/logo.png',
'figures/logo32.png',
'figures/sixteen.png',
'figures/start-screen.png',
]
gnome.yelp(meson.project_name(),
sources: help_pages,
media: help_media,
symlink_media: true
)
\ No newline at end of file
project('gnome-taquin', 'vala', 'c',
version: '3.31.4')
project_id = 'org.gnome.Taquin'
gnome = import('gnome')
i18n = import('i18n')
python3 = import('python3')
glib_dependency = dependency('glib-2.0', version: '>= 2.40.0')
gtk_dependency = dependency('gtk+-3.0', version: '>= 3.15.0')
rsvg_dependency = dependency('librsvg-2.0', version: '>= 2.32.0')
canberra_depenency = dependency('libcanberra')
canberra_gtk3_depenency = dependency('libcanberra-gtk3', version: '>= 0.26')
posix_dependency = meson.get_compiler('vala').find_library('posix')
desktop_file_validate = find_program('desktop-file-validate', required: false)
appstream_util = find_program('appstream-util', required: false)
glib_compile_schema = find_program('glib-compile-schemas', required: true)
add_global_arguments('-DGETTEXT_PACKAGE="@0@"'.format (meson.project_name()), language: 'c')
pkgdatadir = join_paths(get_option('prefix'), get_option('datadir'), meson.project_name())
localedir = join_paths(get_option('prefix'), get_option('localedir'))
soundsdir = join_paths(pkgdatadir, 'sounds')
conf = configuration_data ()
conf.set_quoted('VERSION', meson.project_version())
conf.set_quoted('GETTEXT_PACKAGE', meson.project_name())
conf.set_quoted('SOUND_DIRECTORY', soundsdir)
conf.set_quoted('LOCALEDIR', localedir)
conf.set_quoted('DATA_DIRECTORY', pkgdatadir)
configure_file(output: 'config.h', configuration: conf)
config_h_dir = include_directories('.')
subdir('data')
subdir('help')
subdir('po')
subdir('src')
meson.add_install_script(python3.find_python().path(), join_paths(meson.source_root(),
'build-aux',
'meson_post_install.py'))
\ No newline at end of file
# List of source files containing translatable strings. # List of source files containing translatable strings.
# Please keep this file in alphabetical order. # Please keep this file in alphabetical order.
[encoding: UTF-8] data/org.gnome.Taquin.appdata.xml.in
[type: gettext/glade]data/taquin-screens.ui data/org.gnome.Taquin.desktop.in
[type: gettext/glade]data/taquin.ui data/org.gnome.Taquin.gschema.xml
data/org.gnome.taquin.appdata.xml.in data/taquin-screens.ui
data/org.gnome.taquin.desktop.in data/taquin.ui
data/org.gnome.taquin.gschema.xml
src/game-window.vala src/game-window.vala
src/taquin-main.vala src/taquin-main.vala
src/taquin-game.vala src/taquin-game.vala
......
i18n.gettext(meson.project_name(), preset: 'glib')
bin_PROGRAMS = gnome-taquin
BUILT_SOURCES = taquin-resources.c
gnome_taquin_SOURCES = \
game-window.vala \
taquin-main.vala \
taquin-view.vala \
taquin-game.vala \
config.vapi \
$(BUILT_SOURCES)
gnome_taquin_CFLAGS = \
-DVERSION=\"$(VERSION)\" \
-DGETTEXT_PACKAGE=\"$(GETTEXT_PACKAGE)\" \
-DDATA_DIRECTORY=\"$(datadir)/gnome-taquin\" \
-DSOUND_DIRECTORY=\"$(datadir)/gnome-taquin/sounds\" \
-DLOCALEDIR=\"$(datadir)/locale\" \
-w \
$(GNOME_TAQUIN_CFLAGS)
gnome_taquin_VALAFLAGS = \
--pkg posix \
--pkg gtk+-3.0 \
--pkg librsvg-2.0 \
--pkg libcanberra \
--pkg libcanberra-gtk \
--gresources taquin.gresource.xml \
--target-glib $(GLIB_REQUIRED)
gnome_taquin_LDADD = $(GNOME_TAQUIN_LIBS)
taquin-resources.c: taquin.gresource.xml $(shell $(GLIB_COMPILE_RESOURCES) --generate-dependencies taquin.gresource.xml)
$(AM_V_GEN) $(GLIB_COMPILE_RESOURCES) --target=$@ --sourcedir=$(srcdir) --generate-source $<
CLEANFILES = \
$(patsubst %.vala,%.c,$(filter %.vala, $(SOURCES))) \
*_vala.stamp \
taquin-resources.c
EXTRA_DIST = \
taquin.gresource.xml
-include $(top_srcdir)/git.mk
...@@ -28,7 +28,7 @@ public enum GameWindowFlags { ...@@ -28,7 +28,7 @@ public enum GameWindowFlags {
SHOW_START_BUTTON; SHOW_START_BUTTON;
} }
[GtkTemplate (ui = "/org/gnome/taquin/ui/game-window.ui")] [GtkTemplate (ui = "/org/gnome/Taquin/ui/game-window.ui")]
public class GameWindow : ApplicationWindow public class GameWindow : ApplicationWindow
{ {
/* settings */ /* settings */
......
resources = gnome.compile_resources (meson.project_name(), 'taquin.gresource.xml')
executable(meson.project_name(),[
'config.vapi',
'game-window.vala',
'taquin-game.vala',
'taquin-main.vala',
'taquin-view.vala'
] + resources,
install: true,
c_args: [